package com.inkasso.factoring.purchManagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.file.entity.FileStorageDO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 采购合同 上传变更合同的信息
 * </p>
 *
 * @author liutao
 * @since 2023-03-27
 */
@TableName("upload_purch_supplement_contract")
public class UploadPurchSupplementContract extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同-审核表Id
     */
    @TableField("purch_contract_approval_id")
    private Long purchContractApprovalId;

    /**
     * 合同名称
     */
    @TableField("contract_name")
    private String contractName;

    /**
     * 上传的附件
     */
    @TableField(exist = false)
    private MultipartFile file;

    /**
     * 回显的附加
     */
    @TableField(exist = false)
    private FileStorageDO fileStorage;

    /**
     * 合同签署人
     */
    @TableField(exist = false)
    private List<UploadPurchContractSupplementSigner> uploadPurchContractSupplementSignerList;

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }

    public FileStorageDO getFileStorage() {
        return fileStorage;
    }

    public void setFileStorage(FileStorageDO fileStorage) {
        this.fileStorage = fileStorage;
    }

    public List<UploadPurchContractSupplementSigner> getUploadPurchContractSupplementSignerList() {
        return uploadPurchContractSupplementSignerList;
    }

    public void setUploadPurchContractSupplementSignerList(List<UploadPurchContractSupplementSigner> uploadPurchContractSupplementSignerList) {
        this.uploadPurchContractSupplementSignerList = uploadPurchContractSupplementSignerList;
    }

    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }
    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }
}
